Bug 133694 - double precision constants are zero
double precision constants are zero
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc34 (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-26 10:11 EDT by bud davis
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.4.2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 04:30:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bud davis 2004-09-26 10:11:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
the first data statement that defines a double precision constant is
always zero.

this bug was created by a patch I submitted to gcc that was included
in gcc-3.4.2

more details here:

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17541

the patch is a one-liner.

this problem is VERY SERIOUS to g77 users.

can we please get this into FC-3 ?





Version-Release number of selected component (if applicable):
gcc-3.4.2 

How reproducible:
Always

Steps to Reproduce:
compile this:

        program test
        double precision x,one
        data one/1.d0/
        write(*,*) one
        end


    

Actual Results:  0.0

Expected Results:  1.0

Additional info:
Comment 1 Jakub Jelinek 2004-10-05 04:30:17 EDT
Should be fixed in gcc-3.4.2-4.

Note You need to log in before you can comment on or make changes to this bug.